aboutsummaryrefslogtreecommitdiff
path: root/targets/ryuglab/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'targets/ryuglab/scripts')
-rwxr-xr-xtargets/ryuglab/scripts/compile10
-rwxr-xr-xtargets/ryuglab/scripts/patch10
2 files changed, 20 insertions, 0 deletions
diff --git a/targets/ryuglab/scripts/compile b/targets/ryuglab/scripts/compile
new file mode 100755
index 0000000..85d118b
--- /dev/null
+++ b/targets/ryuglab/scripts/compile
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+export ARCH=powerpc
+export CROSS_COMPILE=/opt/OSELAS.Toolchain-2012.12.1/powerpc-603e-linux-gnu/gcc-4.7.2-glibc-2.16.0-binutils-2.22-kernel-3.6-sanitized/bin/powerpc-603e-linux-gnu-
+
+test -t 0 || CHRONIC=chronic
+
+$CHRONIC make -j$(nproc) uImage
diff --git a/targets/ryuglab/scripts/patch b/targets/ryuglab/scripts/patch
new file mode 100755
index 0000000..0b59ff1
--- /dev/null
+++ b/targets/ryuglab/scripts/patch
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+cd `dirname $0`
+cd ../../../linux
+
+git reset --hard
+
+git apply --index < ../targets/ryuglab/shark-ryu-board-patch.patch